# get set mandates

> 🔒 **Private label — [contact sales](mailto:sales@boyahq.com).** Requires a private-label entitlement on your API client.

get set mandates

Endpoint: PUT /permissions/mandates
Version: 2.0.0
Security: oauth2ClientCredentials

## Header parameters:

  - `business_id` (string, required)
    Business identifier for the request

## Response 200 fields (application/json):

  - `status` (number, required)
    HTTP status code
    Example: 200

  - `data` (object)
    Response data containing mandate objects

  - `data.data` (array)
    Array of mandate objects

  - `data.data._id` (string)
    Mandate MongoDB ID
    Example: 64f04e9f0aac0abfb44b3b6b

  - `data.data.type` (string)
    Type of mandate (PAYABLES, PAYROLL, etc.)
    Enum: "PAYABLES", "PAYROLL"

  - `data.data.approvers` (array)
    Array of approvers for this mandate

  - `data.data.approvers.employee` (object)
    Employee information for the approver

  - `data.data.approvers.employee._id` (string)
    Employee MongoDB ID
    Example: 691af15e2c7cead4901adfd2

  - `data.data.approvers.employee.name` (string)
    Employee full name
    Example: Joan Wangare

  - `data.data.approvers.level` (number)
    Approval level/tier in the approval hierarchy
    Example: 1

  - `data.data.approvers._id` (string)
    Approver identifier (typically same as employee._id)
    Example: 691af15e2c7cead4901adfd2

  - `data.data.minimum_approvers` (number)
    Minimum number of approvers required for this mandate
    Example: 1

  - `timestamp` (string, required)
    Response timestamp in ISO format
    Example: 2026-01-09T11:09:56.314Z

